Subject: Re: linux-next: manual merge of the arm-soc tree with the arm tree

From: Sascha Hauer <[email-masked]>
Date: Mon, 24 Oct 2011 23:09:52 +0200

On Mon, Oct 24, 2011 at 09:30:41PM +0100, Russell King wrote:
> On Tue, Oct 25, 2011 at 07:20:13AM +1100, Stephen Rothwell wrote:
> > Hi Arnd,
> > 
> > Today's linux-next merge of the arm-soc tree got a conflict in
> > arch/arm/plat-mxc/include/mach/memory.h between commit c039bad00f21
> > ("ARM: plat-mxc: remove mach/memory.h") from the arm tree and commits
> > ae4fa7f66e54 ("ARM i.MX: allow to compile together ARMv4 and ARMv5 based
> > SoCs") and 7409cd1cd554 ("ARM i.MX: allow to compile together all i.MX5
> > based SoCs") from the arm-soc tree.
> > 
> > The former removed the file, so I did that.
> 
> Stephen - thanks.
> 
> ARM guys, we need to be smarter about this stuff - if we're consolidating
> code across the ARM tree, committing changes to files which we're going
> to remove really isn't a good idea.  It probably means something else has
> changed elsewhere to accomodate the deletion of the file, which this
> kind of resolution won't fix up.

In this case deleting the file is the correct solution. I removed some
definitions of PLAT_PHYS_OFFSET which got unused due to "ARM i.MX: allow
to compile together..." and Nicolas removed the need for PLAT_PHYS_OFFSET
at all.

Sascha

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |